Cannot compile for IOS5

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
ewansmac
Posts: 15
Joined: Tue Oct 25, 2011 7:59 am

Cannot compile for IOS5

Post by ewansmac » Tue Oct 25, 2011 8:18 am

Hi there,

I am a relative newcomer to Live Code. I am running OSX Lion and Livecode 5.0.0 and cannot seem to save my application for IOS 5. I can run my application in the IOS Simulator V5.0 but when I attempt to save it, I get the message "There was an error while saving the standalone application performing iOS device builds requires the iOS 5.0 SDK platform to be installed".

I have downloaded and installed xCode 4.2 Build 4D199.

When I go to Live Code preferences - Mobile Support, the "Location of developer root for iOS 5.0 and above" field is empty. I cannot seem to find the correct path for this field.

The screen shows Available Simulators as 4.3, 5.0

Can anyone help please?

Randy Hengst
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 145
Joined: Thu Jun 29, 2006 4:16 pm

Re: Cannot compile for IOS5

Post by Randy Hengst » Tue Oct 25, 2011 2:17 pm

In the LC preferences use Mobile support to tell LC where the developer folder is.... here is the path on my Mac.

Macintosh HD —> Developer —> Platforms —> iPhoneOS.platform —> Developer

be well,
randy

ewansmac
Posts: 15
Joined: Tue Oct 25, 2011 7:59 am

Re: Cannot compile for IOS5

Post by ewansmac » Wed Oct 26, 2011 6:43 am

Thanks Randy,

I have tried your suggestion but when I put in the path you suggested, I get the error "The chosen folder is not a valid iOS SDK for 5.0 or later. It must be one that ships with Xcode 4.2 or later".

I have installed XCode 4.2, Is there something else I need to do with Xcode?

Regards,

Ewan

Randy Hengst
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 145
Joined: Thu Jun 29, 2006 4:16 pm

Re: Cannot compile for IOS5

Post by Randy Hengst » Wed Oct 26, 2011 12:35 pm

Well, that's frustrating. I did get that message when I selected the wrong development folder... the first one in the path rather than the last one.

I didn't do anything with XCode to get things to work.... just selected the path.

alan6386
Posts: 2
Joined: Fri Oct 28, 2011 4:33 pm

Re: Cannot compile for IOS5

Post by alan6386 » Fri Oct 28, 2011 4:35 pm

Try setting the path in the mobile support section to /Developer

ewansmac
Posts: 15
Joined: Tue Oct 25, 2011 7:59 am

Re: Cannot compile for IOS5

Post by ewansmac » Fri Oct 28, 2011 9:26 pm

Tried /Developer, worked first time.

Thanks for your help everyone.

Ewan

Knightlite
Posts: 51
Joined: Mon Jan 23, 2012 10:14 pm

Re: Cannot compile for IOS5

Post by Knightlite » Fri Feb 03, 2012 11:29 pm

Hi,

I am having the same problem. Using Mac with Lion with the latest Xcode installed - Version 4.2.1

In the LC preferences use Mobile support located in the:

"Location of developer root iOs 5.0 and above spot", I point to

Macintosh HD —> Developer —> Platforms —> iPhoneOS.platform —> Developer

I get the error:

"The chosen folder is not a valid iOS SDK for the 5.0 and later. It must be the one that ships with Xcode 4.2 or later."

What am I doing wrong?

Jim

Knightlite
Posts: 51
Joined: Mon Jan 23, 2012 10:14 pm

Re: Cannot compile for IOS5

Post by Knightlite » Sat Feb 04, 2012 12:41 am

Got it. Just had to install the later Xcode.

Post Reply

Return to “iOS Deployment”